////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
// display05.c
// - Change the display settings. 
// - Open a display.
// - Count back from 10 to 0.
// - Wait for a click.
////////////////////////////////////////////////////////////////////////////////


#include <tscope5.h>

int main()
{
	// request the settings for the next display
	// these functions have to be called
	// *before* ts5_install_display 
	ts5_set_display_adapter(1);
	ts5_set_display_size(500.0, 500.0);
	ts5_set_display_position(500.0, 500.0);
	ts5_set_refreshrate(60);
	ts5_set_display_mode(TS5_WINDOWED);
	ts5_set_vsync_mode(TS5_VSYNC_ON);
		
	// install the display
	ts5_install_display();
	
	// identical to display01.c
	int i;
	for (i=10; i>=0; i--) {
		ts5_printf(0.0, 0.0, "%d", i);
		ts5_flip_display();
		ts5_wait(1.0);
		ts5_clear_display();
	}
	
	// wait for a click
	ts5_draw_mouse_button(0.0,0.0);
	
	return 0;
}