////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
// graphics09.c
// - Illustration of the drawing parameters.
////////////////////////////////////////////////////////////////////////////////


#include <tscope5.h>

int main()
{
	// open a display and set graphics parameters
	ts5_install_display();
	ts5_set_coordinate_scale(TS5_RELATIVE_COORDINATES);
	ts5_set_background_color(ts5_make_named_color("white", 1.0));
	ts5_set_foreground_color(ts5_make_named_color("black", 1.0));
	
	double i;
	double thickness=0;
	
	// draw circles with increasing thickness and diameter
	for(i=0.1; i<1.0; i+=0.1) {
		
		thickness++ ;
		ts5_set_drawing_thickness(thickness);
		ts5_draw_circle(0.0, 0.0, i);
		
	}
	ts5_flip_display();
	
	// wait for a click.
	ts5_draw_mouse_button(0.9, -0.8);
	return 0;
}