////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
// primitives03.c
// - Illustration of the primitives drawing functions.
// - Display coordinate system.
////////////////////////////////////////////////////////////////////////////////


#include <tscope5.h>

int main()
{
	// open a display and set graphics parameters	
	double w, h;	
	ts5_install_display();
	ts5_get_display_size(1, &w, &h);
	ts5_set_coordinate_system(TS5_DISPLAY_COORDINATES);
	
	// draw pixels
	int i, j;
	ts5_clear_display();
	for (i=0; i<=20; i++) {
		for (j=0; j<=20; j++) {
			ts5_draw_pixel(i*10.0, j*10.0);
		}		
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w - 50.0, h-50);
	
	// draw lines
	ts5_clear_display();
	for (i=0; i<=h; i+=10) {
		ts5_draw_line(0.0, 0.0, w, (double)i);
	}
	for (i=0; i<=w; i+=10) {
		ts5_draw_line(0.0, 0.0, (double)i, h);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w - 50.0, h-50);
	
	// draw rectangles
	ts5_clear_display();
	for (i=0; i<=40; i++) {
		ts5_draw_rectangle(0.0, 0.0, i*10.0, i*10.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w - 50.0, h-50);
	
	// draw rounded rectangles
	ts5_clear_display();
	for (i=0; i<=40; i++) {
		ts5_draw_rounded_rectangle(0.0, 0.0, i*10.0, i*10.0, 10.0, 10.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w - 50.0, h-50);
	
	// draw triangles
	ts5_clear_display();
	for (i=0; i<=20; i++) {
		ts5_draw_triangle(0.0, 0.0, i*10.0, 0.0, 0.0, i*10.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w - 50.0, h-50);
	
	// draw circles
	ts5_clear_display();
	for (i=0; i<=10; i++) {
		ts5_draw_circle(50.0, 5.0, i*10.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w - 50.0, h-50);
	
	// draw ellipses
	ts5_clear_display();
	for (i=0; i<=10; i++) {
		ts5_draw_ellipse(50.0, 50.0, i*20.0, i*10.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w - 50.0, h-50);
	
	// draw arcs
	for (i=0; i<=72; i++) {
		ts5_clear_display();
		ts5_draw_arc(100.0, 100.0, 100.0, i*10.0, 20.0);
		ts5_flip_display();
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w - 50.0, h-50);
	
	return 0;
}
	
	
	