////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
// randomizer01.c
// - Draw 10 random integers with replacement.
// - Draw 10 random integers without replacement.
////////////////////////////////////////////////////////////////////////////////


#include <tscope5.h>

int main()
{
	// open the display
	ts5_install_display();
	ts5_set_coordinate_system(TS5_DISPLAY_COORDINATES);
	ts5_set_text_alignment(TS5_ALIGN_LEFT);
		
	// draw without replacement: 10 calls to ts5_random_integer
	int i;
	double diff=0;
	
	ts5_printf(20.0, 20.0, "10 random integers with replacement: ");
	for (i=0; i<10; i++) {
		diff += ts5_printf(20.0+diff, 40.0, "%d ", ts5_random_integer(10L));
	}
	
	// draw with replacement: 1 call to ts5_random_list
	diff=0;
	int list[10];
	ts5_random_list(10, 1, list);
	ts5_printf(20.0, 80.0, "10 random integers without replacement: ");
	for (i=0; i<10; i++) {
		diff += ts5_printf(20.0+diff, 100.0, "%d ", list[i]);
	}
	
	// wait for a click
	double x = ts5_relative_to_absolute_coordinate_x(0.9);
	double y =  ts5_relative_to_absolute_coordinate_y(0.8);	
	ts5_draw_mouse_button(x, y);
	
	return 0;
}
