////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
/// \file timer.h
/// Declarations of timer functions
////////////////////////////////////////////////////////////////////////////////

#pragma once


#ifdef __cplusplus
extern "C" {
#endif
	
int ts5_set_priority(int priority);
int ts5_get_priority();

double ts5_get_time();

void ts5_wait(double time);

void ts5_wait_until(double deadline);

int ts5_hide_response_button(int button);

void ts5_remove_response_buttons();

void ts5_flush_responses();

int ts5_check_response(double *resptime, double *timing_error);

int ts5_wait_for_response(double *resptime, double *timing_error);

int ts5_wait_for_response_timed(double *resptime, double *timing_error, 
	double maxtm);

int ts5_wait_for_response_until(double *resptime, double *timing_error, 
	double deadline);

void ts5_flush_triggers();

int ts5_check_trigger(double *trigtime, double *timing_error);

int ts5_wait_for_trigger(double *trigtime, double *timing_error);

int ts5_wait_for_trigger_timed(double *trigtime, double *timing_error, 
	double maxtm);

int ts5_wait_for_trigger_until(double *trigtime, double *timing_error, 
	double deadline);

void ts5_write_all_triggers(char *filename);

#ifdef __cplusplus
}
#endif

